Skip to main content
POST
/
api
/
v3
/
organization
/
webhooks
/
{webhook_id}
/
hmac
/
rotate
Rotate Webhook HMAC Secret
curl --request POST \
  --url https://api.dataspike.io/api/v3/organization/webhooks/{webhook_id}/hmac/rotate \
  --header 'ds-api-token: <api-key>'
{
  "hmac_signing_secret": "whsec_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

webhook_id
string<uuid>
required

Webhook ID

Example:

"01827ed4-c928-7a3c-9a30-7ab7cc169d11"

Response

HMAC Secret Rotated

Returned when an HMAC secret is rotated. hmac_signing_secret is shown only once — store it securely immediately.

hmac_signing_secret
string

New HMAC-SHA256 signing secret. Replaces the previous one immediately. Update your application before discarding the old secret to avoid dropped events.

Example:

"whsec_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1"